Skip to main content
GET
/
v2
/
connections
/
transfers
Get transfers between two addresses
curl --request GET \
  --url https://api.range.org/v2/connections/transfers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "9359/AX/2352",
      "time": "2024-05-08T13:05:57.779Z",
      "status": "SUCCEEDED",
      "type": "cctp",
      "sender": {
        "address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
        "network": "solana",
        "label": "Scammer",
        "malicious": true,
        "icon_urls": [
          "https://example.com/solana.png"
        ],
        "token": {
          "amount": 27.18,
          "symbol": "USDC",
          "usd": 27.24,
          "icon_url": "https://example.com/usdc.png"
        }
      },
      "receiver": {
        "address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
        "network": "noble-1",
        "icon_urls": [
          "https://example.com/noble.png"
        ],
        "token": {
          "amount": 27.18,
          "symbol": "USDC",
          "usd": 27.24,
          "icon_url": "https://example.com/usdc.png"
        }
      },
      "sender_tx_hash": "76b9922b6c8968d328e56930b4bbe26665d2ed12f2bdff45b2e9a43b09f5ab9c",
      "receiver_tx_hash": "e607dba4c1e138dabb1d534ba0e14645786ca892907563c388d7de7f65ba7bb3"
    }
  ],
  "meta": {
    "next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "total_count": 100,
    "page_number": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.range.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Query Parameters

network_a
string
required

Network of Address A

address_a
string
required

Address A to search

network_b
string
required

Network of Address B

address_b
string
required

Address B to search

size
number
default:10
Required range: 1 <= x <= 100
Example:

10

start_time
string

Start time

end_time
string

End time

types
string

Transfer types (comma-separated, e.g., "ibc,cctp")

Example:

"ibc,cctp"

cursor
string

Pagination cursor

Example:

"A"

Response

200 - application/json

List of transfers between the two specified addresses.

items
object[]
required
meta
object
required
Last modified on May 15, 2026